com.mysql.cj.xdevapi

## Interface SqlResult

All Superinterfaces:
  FetchResult<Row>, InsertResult, Iterable<Row>, Iterator<Row>, QueryResult, Result, RowResult

    public interface SqlResult
    extends Result, InsertResult, RowResult

A result from a SQL statement which may have several sets of data following by a DML result.

### Method Summary

All Methods Instance Methods Default Methods
`default Long` `getAutoIncrementValue()` Get the auto-increment value if one was generated from a row insert statement.
`default boolean` `nextResult()` Move to the next result.

### Methods inherited from interface com.mysql.cj.xdevapi.RowResult

`getColumnCount, getColumnNames, getColumns`

### Methods inherited from interface com.mysql.cj.xdevapi.FetchResult

`count, fetchAll, fetchOne, hasData, iterator`

### Methods inherited from interface java.util.Iterator

`forEachRemaining, hasNext, next, remove`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Methods inherited from interface com.mysql.cj.xdevapi.Result

`getAffectedItemsCount, getWarnings, getWarningsCount`

### Method Detail

#### nextResult

    default boolean nextResult()

Move to the next result. This method has no effect after returning `false` for the first time.

Returns:
  was there a next result that we moved to?

#### getAutoIncrementValue

    default Long getAutoIncrementValue()

Description copied from interface: `InsertResult`
Get the auto-increment value if one was generated from a row insert statement.

Specified by:
  `getAutoIncrementValue` in interface `InsertResult`
Returns:
  auto-increment value

Copyright © 2016, 2026, Oracle and/or its affiliates.